Package org.eclipse.e4.ui.css.core.impl.sac

# Class DocumentHandlerFactoryImpl

java.lang.Object
org.eclipse.e4.ui.css.core.sac.DocumentHandlerFactory
org.eclipse.e4.ui.css.core.impl.sac.DocumentHandlerFactoryImpl

All Implemented Interfaces:
  `IDocumentHandlerFactory`

public class DocumentHandlerFactoryImpl extends DocumentHandlerFactory
This class implements the `IDocumentHandlerFactory` interface.

## Constructor Summary

Constructors
Constructor
Description
`DocumentHandlerFactoryImpl()`

## Method Summary

Modifier and Type
Method
Description
`ExtendedDocumentHandler`
`makeDocumentHandler()`
Return default instance of `ExtendedDocumentHandler`.

### Methods inherited from class org.eclipse.e4.ui.css.core.sac.DocumentHandlerFactory

`newInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DocumentHandlerFactoryImpl

public DocumentHandlerFactoryImpl()

## Method Details

### makeDocumentHandler

public ExtendedDocumentHandler makeDocumentHandler()
Description copied from interface: `IDocumentHandlerFactory`
Return default instance of `ExtendedDocumentHandler`.